> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.wodup.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create gym

> <Warning>Requires a platform API key.</Warning>



## OpenAPI

````yaml post /api/public/gyms
openapi: 3.0.0
info:
  title: WodUp Public API
  version: '0.1'
servers:
  - description: Development / testing server
    url: https://api.wodup.dev
    variables: {}
security:
  - authorization: []
tags: []
paths:
  /api/public/gyms:
    post:
      tags:
        - gyms
      summary: Create gym
      description: <Warning>Requires a platform API key.</Warning>
      operationId: WodUpWeb.PublicApi.GymController.create
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GymRequest'
        description: Gym parameters
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GymResponse'
          description: Gym
      callbacks: {}
components:
  schemas:
    GymRequest:
      description: POST body for creating a gym
      example:
        email: info@antarctica-fitness.com
        name: Antarctica Fitness
        platform_id: '1'
        time_zone: Antarctica/South_Pole
        units: imperial
      properties:
        email:
          description: Email address
          format: email
          type: string
        name:
          description: Gym name
          type: string
        platform_id:
          description: ID of gym on source platform
          type: string
        time_zone:
          description: Time zone
          type: string
        units:
          description: Units
          enum:
            - imperial
            - metric
          type: string
      required:
        - platform_id
        - name
        - email
        - time_zone
      title: GymRequest
      type: object
    GymResponse:
      allOf:
        - $ref: '#/components/schemas/Gym'
      example:
        email: info@antarctica-fitness.com
        id: gym_abc123
        integration_platform_id: 5d568208-31d7-4c0f-93d7-e2ad5d688c8d
        integration_status: active
        name: Antarctica Fitness
        time_zone: Antarctica/South_Pole
      title: GymResponse
      type: object
    Gym:
      description: An organization on WodUp
      example:
        email: info@antarctica-fitness.com
        id: gym_abc123
        integration_platform_id: 5d568208-31d7-4c0f-93d7-e2ad5d688c8d
        integration_status: active
        name: Antarctica Fitness
        time_zone: Antarctica/South_Pole
      properties:
        email:
          description: Gym email address
          format: email
          type: string
        id:
          description: Gym ID
          type: integer
        integration_platform_id:
          description: ID of gym on source platform.
          type: string
        integration_status:
          description: >-
            Integration status. Active gyms can access the WodUp admin dashboard
            and will be billed to the integration provider. Inactive gyms must
            purchase a WodUp subscription to use the service. Internal gyms are
            used for testing.
          enum:
            - active
            - inactive
            - internal
          type: string
        name:
          description: Gym name
          type: string
        time_zone:
          description: Gym time zone
          type: string
      required:
        - id
        - name
        - email
        - time_zone
        - integration_status
        - integration_platform_id
      title: Gym
      type: object
  securitySchemes:
    authorization:
      scheme: basic
      type: http

````